package core.process;

import core.operation.Operation;

public abstract class Process{

    protected static String buttonName;
    protected static String targetURL;

    protected static String iconURL;

    private String status;

    private String permission;
    private Operation operation;
    private String info;


    protected abstract boolean check();
    public String getPermission() {
        return permission;
    }

    public void setPermission(String permission) {
        this.permission = permission;
    }

    public Operation getOperation() {
        return operation;
    }

    public void setOperation(Operation operation) {
        this.operation = operation;
    }

    public String getButtonName() {
        return buttonName;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public static String getTargetURL() {
        return targetURL;
    }

    public static String getIconURL() {
        return iconURL;
    }
}
